
From: Adrian Bunk <bunk@stusta.de>

This patch contains the following cleanups:
- make some needlessly global code static
- remove the unused global function specialix_setup

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/specialix.c |   43 +++++----------------------------------
 1 files changed, 6 insertions(+), 37 deletions(-)

diff -puN drivers/char/specialix.c~drivers-char-specialixc-misc-cleanups drivers/char/specialix.c
--- 25/drivers/char/specialix.c~drivers-char-specialixc-misc-cleanups	2005-02-24 21:22:47.000000000 -0800
+++ 25-akpm/drivers/char/specialix.c	2005-02-24 21:22:47.000000000 -0800
@@ -372,7 +372,7 @@ static inline void sx_long_delay(unsigne
 
 
 /* Set the IRQ using the RTS lines that run to the PAL on the board.... */
-int sx_set_irq ( struct specialix_board *bp)
+static int sx_set_irq ( struct specialix_board *bp)
 {
 	int virq;
 	int i;
@@ -439,7 +439,7 @@ static int sx_init_CD186x(struct special
 }
 
 
-int read_cross_byte (struct specialix_board *bp, int reg, int bit)
+static int read_cross_byte (struct specialix_board *bp, int reg, int bit)
 {
 	int i;
 	int t;
@@ -985,7 +985,7 @@ static irqreturn_t sx_interrupt(int irq,
  *  Routines for open & close processing.
  */
 
-void turn_ints_off (struct specialix_board *bp)
+static void turn_ints_off (struct specialix_board *bp)
 {
 	unsigned long flags;
 	func_enter ();
@@ -1004,7 +1004,7 @@ void turn_ints_off (struct specialix_boa
 	func_exit ();
 }
 
-void turn_ints_on (struct specialix_board *bp)
+static void turn_ints_on (struct specialix_board *bp)
 {
 	unsigned long flags;
 
@@ -2478,37 +2478,6 @@ static void sx_release_drivers(void)
 }
 
 
-#ifndef MODULE
-/*
- * Called at boot time.
- * 
- * You can specify IO base for up to SX_NBOARD cards,
- * using line "specialix=0xiobase1,0xiobase2,.." at LILO prompt.
- * Note that there will be no probing at default
- * addresses in this case.
- *
- */ 
-void specialix_setup(char *str, int * ints)
-{
-	int i;
-        
-	func_enter ();
-
-	for (i=0;i<SX_NBOARD;i++) {
-		sx_board[i].base = 0;
-	}
-
-	for (i = 1; i <= ints[0]; i++) {
-		if (i&1)
-			sx_board[i/2].base = ints[i];
-		else
-			sx_board[i/2 -1].irq = ints[i];
-	}
-
-	func_exit ();
-}
-#endif
-
 /* 
  * This routine must be called by kernel at boot time 
  */
@@ -2579,9 +2548,9 @@ static int __init specialix_init(void)
 	return 0;
 }
 
-int iobase[SX_NBOARD]  = {0,};
+static int iobase[SX_NBOARD]  = {0,};
 
-int irq [SX_NBOARD] = {0,};
+static int irq [SX_NBOARD] = {0,};
 
 module_param_array(iobase, int, NULL, 0);
 module_param_array(irq, int, NULL, 0);
_
